> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unicontrol.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Hikvision event notification receiver

> Endereço legado da Hikvision (EventNotificationAlert). Mesmo tratamento de `/v1/webhooks/devices/hikvision/...`.



## OpenAPI

````yaml https://portal.unicontrol.me/v1/openapi post /v1/webhooks/hikvision/{configEntryId}/{token}
openapi: 3.1.0
info:
  title: Unicontrol API
  description: Welcome
  version: 1.0.0
servers:
  - url: http://0.0.0.0:3000
    description: Local Server
  - url: https://portal.test.flexhome.casa
    description: Development
  - url: https://portal.unicontrol.me
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/webhooks/hikvision/{configEntryId}/{token}:
    post:
      tags:
        - Webhooks
      summary: Hikvision event notification receiver
      description: >-
        Endereço legado da Hikvision (EventNotificationAlert). Mesmo tratamento
        de `/v1/webhooks/devices/hikvision/...`.
      operationId: postV1WebhooksHikvisionByConfigEntryIdByToken
      parameters:
        - in: path
          name: configEntryId
          required: true
          schema:
            type: integer
          description: config_entry_id da integração.
        - in: path
          name: token
          required: true
          schema:
            type: string
          description: Token gerado pelo runtime (config_entries.data.webhook_token).
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                event_log:
                  type: string
                  description: JSON do EventNotificationAlert
          application/json:
            schema:
              type: object
            example:
              ipAddress: 192.168.1.64
              dateTime: '2026-10-25T10:00:00-03:00'
              eventType: AccessControllerEvent
              AccessControllerEvent:
                majorEventType: 5
                subEventType: 75
                doorNo: 1
                employeeNoString: LMabc123
                name: Fulano
                serialNo: 1234
          application/xml:
            schema:
              type: string
      responses:
        '200':
          description: Notificação recebida
          content:
            application/json:
              example:
                status: ok
        '400':
          description: Parâmetros inválidos
        '404':
          description: Integração não encontrada, sem suporte a eventos ou token inválido
        '413':
          description: Corpo muito grande
        '500':
          description: Erro interno
      security: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.